Projects
GET
/workspaces/{workspaceId}/projects
List projects in workspace
Abfrageparameter
type
array
scope
array
Filter by project scope. Available scopes are:
- 0 (DEFAULT): This should indicate that the project is of our current scope (can be used across all BirdCRM services).
- 1 (SAVED_TEMPLATE): This should indicate that the project is a saved template, meaning that it came from extending one of BirdCRM library templates. They can be used for creating other Projects, such as inline campaigns and flows content.
- 2 (INLINE_MESSAGE): This should indicate that the project is an inline message, meaning that it was created from a campaign or flow using a library template or a saved template. They are linked to an specific instance of other BirdCRM services (Campaigns, Flows, etc.).
- 3 (PLATFORM_REVIEWED_TEMPLATE): This should indicate that the project is a platform reviewed template, meaning the template must go through a external platform review.
isActive
boolean
Deprecated. Use status instead.
status
array
projectIds
array
Filter projects by projectIds
supportedPlatforms
array
Filter by supported platforms
metadata
array
Filter projects by metadata
suitableChannelId
string
channelIds
array
Filter projects by channelIds
tags
array
Filter projects by tags
includeTagless
boolean
Filter projects by tagless
directoryId
string
Filter projects by directoryId
isInDirectory
boolean
Filter by projects in a directory
connectorIds
array
Filter projects by connectorIds
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sortBy
string
Field that should be used to sort the results
Possible values: name, createdAt, updatedAt
q
string
Full text search on projects
locales
array
Filter by locales
useNewSearch
boolean
Get results from the new search index
getOmnichannel
boolean
Creates a separate query to get omnichannel projects of the specified type bypassing suitableChannelId.
This only works when useNewSearch is true.
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.workspaceId
string
results.name
string
results.description
string
results.type
string
enum for all the different project types Touchpoints API supports.
Possible values: chatwidget, form, knowledgeBase, deepLink, channelTemplate, website, htmlEmail, popup, helpcenter, adCreative, preferencecenter, landingpage, inAppMessageTemplate
results.scope
number
dictionary:
- 0 DEFAULT: This should indicate that the project is of our current scope (can be used across all BirdCRM services).
- 1 SAVED_TEMPLATE: This should indicate that the project is a saved template, meaning that it came from extending one of BirdCRM library templates. They can be used for creating other Projects, such as inline campaigns and flows content.
- 2 INLINE_MESSAGE: This should indicate that the project is an inline message, meaning that it was created from a campaign or flow using a library template or a saved template. They are linked to an specific instance of other BirdCRM services (Campaigns, Flows, etc.).
- 3 (PLATFORM_REVIEWED_TEMPLATE): This should indicate that the project is a platform reviewed template, meaning the template must go through a external platform review.
Possible values: 0, 1, 2, 3
results.supportedPlatforms
array of string
results.locales
array of string
results.localeStatuses
object
results.platformInfo
object
Platform-specific state information for WhatsApp templates. The key is a string in the format "platform:wabaId:locale" (e.g., "whatsapp:123456789:en"). Contains status information for each WABA/Locale combination.
results.activeResourceId
string
results.draftCount
number
results.pendingCount
number
results.activeCount
number
results.inactiveCount
number
results.createdAt
string
erforderlich
results.updatedAt
string
results.approvedTemplateChannelsId
array of string
results.approvedTemplateChannelGroupIds
array of string
results.suites
array of string
results.clonedFrom
string
The ID of the project that this project was cloned from. This field is only present if this project was cloned from another project.
results.metadata
array of object
Untergeordnete Attribute anzeigen
results.metadata.key
string
results.metadata.value
string
results.tags
array of string
Tags for this project
results.directoryId
string
The ID of the directory that this project belongs to. This field is only present if the project is part of a directory.
results.experiment
object
Untergeordnete Attribute anzeigen
results.experiment.status
string
erforderlich
The status of the experiment.
Possible values: draft, running, stopped, completed
results.experiment.winningMetric
string
erforderlich
The winning metric of the experiment.
Possible values: openRate, readRate, clickRate, conversionRate
results.experiment.weights
object
The weights of the experiment variants.
results.experiment.duration
integer
The duration of the experiment in minutes.
results.experiment.startedAt
string
The time when the experiment started.
results.experiment.endedAt
string
The time when the experiment ended.
results.experiment.scheduledEndAt
string
The scheduled end time of the experiment.
results.experiment.weightsUpdatedAt
string
The last time the weights were updated.
results.experiment.winningTemplateId
string
The ID of the winning template.
results.experiment.stopperType
string
The type of caller who stopped the experiment.
results.experiment.stopperId
string
The reference to the caller who stopped the experiment.
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/projects' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/projects
Create project
Anfrage-Payload
name
string
description
string
type
string
erforderlich
enum for all the different project types Touchpoints API supports.
Possible values: chatwidget, form, knowledgeBase, deepLink, channelTemplate, website, htmlEmail, popup, helpcenter, adCreative, preferencecenter, landingpage, inAppMessageTemplate
scope
number
dictionary:
- 0 DEFAULT: This should indicate that the project is of our current scope (can be used across all BirdCRM services).
- 1 SAVED_TEMPLATE: This should indicate that the project is a saved template, meaning that it came from extending one of BirdCRM library templates. They can be used for creating other Projects, such as inline campaigns and flows content.
- 2 INLINE_MESSAGE: This should indicate that the project is an inline message, meaning that it was created from a campaign or flow using a library template or a saved template. They are linked to an specific instance of other BirdCRM services (Campaigns, Flows, etc.).
- 3 (PLATFORM_REVIEWED_TEMPLATE): This should indicate that the project is a platform reviewed template, meaning the template must go through a external platform review.
Possible values: 0, 1, 2, 3
suites
array of string
tags
array of string
Tags for this project
directoryId
string
experiment
object
Untergeordnete Parameter anzeigen
experiment.status
string
The status of the experiment.
Possible values: draft, running, stopped, completed
experiment.winningMetric
string
The winning metric of the experiment. This can only be set when the experiment is in draft status.
Possible values: openRate, readRate, clickRate, conversionRate
experiment.weights
object
The weights of the experiment variants. These can only be changed when the experiment is in draft status.
experiment.duration
integer
An optional duration for the experiment in minutes. This can only be provided when the status is being changed to running.
experiment.winningTemplateId
string
The ID of the winning template.
Antwort-Payload
id
string
erforderlich
workspaceId
string
name
string
description
string
type
string
enum for all the different project types Touchpoints API supports.
Possible values: chatwidget, form, knowledgeBase, deepLink, channelTemplate, website, htmlEmail, popup, helpcenter, adCreative, preferencecenter, landingpage, inAppMessageTemplate
scope
number
dictionary:
- 0 DEFAULT: This should indicate that the project is of our current scope (can be used across all BirdCRM services).
- 1 SAVED_TEMPLATE: This should indicate that the project is a saved template, meaning that it came from extending one of BirdCRM library templates. They can be used for creating other Projects, such as inline campaigns and flows content.
- 2 INLINE_MESSAGE: This should indicate that the project is an inline message, meaning that it was created from a campaign or flow using a library template or a saved template. They are linked to an specific instance of other BirdCRM services (Campaigns, Flows, etc.).
- 3 (PLATFORM_REVIEWED_TEMPLATE): This should indicate that the project is a platform reviewed template, meaning the template must go through a external platform review.
Possible values: 0, 1, 2, 3
supportedPlatforms
array of string
locales
array of string
localeStatuses
object
platformInfo
object
Platform-specific state information for WhatsApp templates. The key is a string in the format "platform:wabaId:locale" (e.g., "whatsapp:123456789:en"). Contains status information for each WABA/Locale combination.
activeResourceId
string
draftCount
number
pendingCount
number
activeCount
number
inactiveCount
number
createdAt
string
erforderlich
updatedAt
string
approvedTemplateChannelsId
array of string
approvedTemplateChannelGroupIds
array of string
suites
array of string
clonedFrom
string
The ID of the project that this project was cloned from. This field is only present if this project was cloned from another project.
metadata
array of object
Untergeordnete Attribute anzeigen
metadata.key
string
metadata.value
string
tags
array of string
Tags for this project
directoryId
string
The ID of the directory that this project belongs to. This field is only present if the project is part of a directory.
experiment
object
Untergeordnete Attribute anzeigen
experiment.status
string
erforderlich
The status of the experiment.
Possible values: draft, running, stopped, completed
experiment.winningMetric
string
erforderlich
The winning metric of the experiment.
Possible values: openRate, readRate, clickRate, conversionRate
experiment.weights
object
The weights of the experiment variants.
experiment.duration
integer
The duration of the experiment in minutes.
experiment.startedAt
string
The time when the experiment started.
experiment.endedAt
string
The time when the experiment ended.
experiment.scheduledEndAt
string
The scheduled end time of the experiment.
experiment.weightsUpdatedAt
string
The last time the weights were updated.
experiment.winningTemplateId
string
The ID of the winning template.
experiment.stopperType
string
The type of caller who stopped the experiment.
experiment.stopperId
string
The reference to the caller who stopped the experiment.
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/projects' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/projects/{projectId}
Get Project
Antwort-Payload
id
string
erforderlich
workspaceId
string
name
string
description
string
type
string
enum for all the different project types Touchpoints API supports.
Possible values: chatwidget, form, knowledgeBase, deepLink, channelTemplate, website, htmlEmail, popup, helpcenter, adCreative, preferencecenter, landingpage, inAppMessageTemplate
scope
number
dictionary:
- 0 DEFAULT: This should indicate that the project is of our current scope (can be used across all BirdCRM services).
- 1 SAVED_TEMPLATE: This should indicate that the project is a saved template, meaning that it came from extending one of BirdCRM library templates. They can be used for creating other Projects, such as inline campaigns and flows content.
- 2 INLINE_MESSAGE: This should indicate that the project is an inline message, meaning that it was created from a campaign or flow using a library template or a saved template. They are linked to an specific instance of other BirdCRM services (Campaigns, Flows, etc.).
- 3 (PLATFORM_REVIEWED_TEMPLATE): This should indicate that the project is a platform reviewed template, meaning the template must go through a external platform review.
Possible values: 0, 1, 2, 3
supportedPlatforms
array of string
locales
array of string
localeStatuses
object
platformInfo
object
Platform-specific state information for WhatsApp templates. The key is a string in the format "platform:wabaId:locale" (e.g., "whatsapp:123456789:en"). Contains status information for each WABA/Locale combination.
activeResourceId
string
draftCount
number
pendingCount
number
activeCount
number
inactiveCount
number
createdAt
string
erforderlich
updatedAt
string
approvedTemplateChannelsId
array of string
approvedTemplateChannelGroupIds
array of string
suites
array of string
clonedFrom
string
The ID of the project that this project was cloned from. This field is only present if this project was cloned from another project.
metadata
array of object
Untergeordnete Attribute anzeigen
metadata.key
string
metadata.value
string
tags
array of string
Tags for this project
directoryId
string
The ID of the directory that this project belongs to. This field is only present if the project is part of a directory.
experiment
object
Untergeordnete Attribute anzeigen
experiment.status
string
erforderlich
The status of the experiment.
Possible values: draft, running, stopped, completed
experiment.winningMetric
string
erforderlich
The winning metric of the experiment.
Possible values: openRate, readRate, clickRate, conversionRate
experiment.weights
object
The weights of the experiment variants.
experiment.duration
integer
The duration of the experiment in minutes.
experiment.startedAt
string
The time when the experiment started.
experiment.endedAt
string
The time when the experiment ended.
experiment.scheduledEndAt
string
The scheduled end time of the experiment.
experiment.weightsUpdatedAt
string
The last time the weights were updated.
experiment.winningTemplateId
string
The ID of the winning template.
experiment.stopperType
string
The type of caller who stopped the experiment.
experiment.stopperId
string
The reference to the caller who stopped the experiment.
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/projects/{projectId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/projects/{projectId}
Update Project
Anfrage-Payload
name
string
description
string
type
string
suites
array of string
tags
array of string
Tags for this project
directoryId
string
experiment
object
Untergeordnete Parameter anzeigen
experiment.status
string
The status of the experiment.
Possible values: draft, running, stopped, completed
experiment.winningMetric
string
The winning metric of the experiment. This can only be set when the experiment is in draft status.
Possible values: openRate, readRate, clickRate, conversionRate
experiment.weights
object
The weights of the experiment variants. These can only be changed when the experiment is in draft status.
experiment.duration
integer
An optional duration for the experiment in minutes. This can only be provided when the status is being changed to running.
experiment.winningTemplateId
string
The ID of the winning template.
Antwort-Payload
id
string
erforderlich
workspaceId
string
name
string
description
string
type
string
enum for all the different project types Touchpoints API supports.
Possible values: chatwidget, form, knowledgeBase, deepLink, channelTemplate, website, htmlEmail, popup, helpcenter, adCreative, preferencecenter, landingpage, inAppMessageTemplate
scope
number
dictionary:
- 0 DEFAULT: This should indicate that the project is of our current scope (can be used across all BirdCRM services).
- 1 SAVED_TEMPLATE: This should indicate that the project is a saved template, meaning that it came from extending one of BirdCRM library templates. They can be used for creating other Projects, such as inline campaigns and flows content.
- 2 INLINE_MESSAGE: This should indicate that the project is an inline message, meaning that it was created from a campaign or flow using a library template or a saved template. They are linked to an specific instance of other BirdCRM services (Campaigns, Flows, etc.).
- 3 (PLATFORM_REVIEWED_TEMPLATE): This should indicate that the project is a platform reviewed template, meaning the template must go through a external platform review.
Possible values: 0, 1, 2, 3
supportedPlatforms
array of string
locales
array of string
localeStatuses
object
platformInfo
object
Platform-specific state information for WhatsApp templates. The key is a string in the format "platform:wabaId:locale" (e.g., "whatsapp:123456789:en"). Contains status information for each WABA/Locale combination.
activeResourceId
string
draftCount
number
pendingCount
number
activeCount
number
inactiveCount
number
createdAt
string
erforderlich
updatedAt
string
approvedTemplateChannelsId
array of string
approvedTemplateChannelGroupIds
array of string
suites
array of string
clonedFrom
string
The ID of the project that this project was cloned from. This field is only present if this project was cloned from another project.
metadata
array of object
Untergeordnete Attribute anzeigen
metadata.key
string
metadata.value
string
tags
array of string
Tags for this project
directoryId
string
The ID of the directory that this project belongs to. This field is only present if the project is part of a directory.
experiment
object
Untergeordnete Attribute anzeigen
experiment.status
string
erforderlich
The status of the experiment.
Possible values: draft, running, stopped, completed
experiment.winningMetric
string
erforderlich
The winning metric of the experiment.
Possible values: openRate, readRate, clickRate, conversionRate
experiment.weights
object
The weights of the experiment variants.
experiment.duration
integer
The duration of the experiment in minutes.
experiment.startedAt
string
The time when the experiment started.
experiment.endedAt
string
The time when the experiment ended.
experiment.scheduledEndAt
string
The scheduled end time of the experiment.
experiment.weightsUpdatedAt
string
The last time the weights were updated.
experiment.winningTemplateId
string
The ID of the winning template.
experiment.stopperType
string
The type of caller who stopped the experiment.
experiment.stopperId
string
The reference to the caller who stopped the experiment.
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/projects/{projectId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/projects/{projectId}
Delete project
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/projects/{projectId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'